MessageAuthenticationCodeImpl< BASE, INFO > Class Template Reference

Provides a base implementation of Algorithm and SimpleKeyingInterface for message authentication codes. More...

`#include <seckey.h>`

Inheritance diagram for MessageAuthenticationCodeImpl< BASE, INFO >:

## Additional Inherited Members

Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< BASE, BASE >, BASE >
std::string | AlgorithmName () const
| The algorithm name.
Static Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< BASE, BASE >, BASE >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

template<class BASE, class INFO = BASE>
class MessageAuthenticationCodeImpl< BASE, INFO >

Provides a base implementation of Algorithm and SimpleKeyingInterface for message authentication codes.

Template Parameters

  INFO | a SimpleKeyingInterface derived class
  BASE | a SimpleKeyingInterface derived class

MessageAuthenticationCodeImpl() provides a default implementation for message authentication codes using AlgorithmImpl() and SimpleKeyingInterfaceImpl(). Functions are virtual and not subject to C++11 constexpr.

See also
  Algorithm(), SimpleKeyingInterface(), AlgorithmImpl(), SimpleKeyingInterfaceImpl()

Definition at line 362 of file seckey.h.

The documentation for this class was generated from the following file:

- seckey.h